### Enumeration

# Gio ConverterResult

since: 2.24

#### Declaration

    enum Gio.ConverterResult

#### Description

Results returned from g_converter_convert().

Available since: 2.24

#### Members

`G_CONVERTER_ERROR`

  There was an error during conversion.

  - Value: `0`
  - Nickname: `error`
  - Available since: 2.24
`G_CONVERTER_CONVERTED`

  Some data was consumed or produced.

  - Value: `1`
  - Nickname: `converted`
  - Available since: 2.24
`G_CONVERTER_FINISHED`

  The conversion is finished.

  - Value: `2`
  - Nickname: `finished`
  - Available since: 2.24
`G_CONVERTER_FLUSHED`

  Flushing is finished.

  - Value: `3`
  - Nickname: `flushed`
  - Available since: 2.24